 const int PWM = 1; //Señal PWM de ATtiny3216 
 const int INA = 2;
 const int INB = 3;

 float speed = 100;
 int tiempo = 2000; 

void setup() {
  Serial.begin(115200);
  pinMode(INA,OUTPUT);
  pinMode(INB,OUTPUT);
  pinMode(PWM,OUTPUT);
}

void loop() {

 
setM1Speed(speed);  // single-channel motor stop (coast)
delay(tiempo);  // wait for time s
setM1Speed(0); 
setM1Speed(-speed);  // single-channel motor full-speed "reverse"
delay(tiempo);  // wait for 2 seconds
setM1Speed(0);  // single-channel motor stop (coast)
delay(500);  // wait for 0.5 s

Serial.println(PWM);
Serial.println(INA);
Serial.println(INB);

}

void setM1Speed(float speed)
{
if(speed == 0){
  digitalWrite(INA, LOW);
  digitalWrite(INB, LOW);
  }
else{
  if(speed<0){
    analogWrite(PWM,-1*speed * 51 / 80); // map 400 to 255
    digitalWrite(INA, LOW);
    digitalWrite(INB, HIGH);
    }
   else if(speed>0){
    analogWrite(PWM,speed * 51 / 80); // map 400 to 255
    digitalWrite(INA, HIGH);
    digitalWrite(INB, LOW);
   }
 }
}
